"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fieldsWithSqlDirective = exports.isMutationNode = exports.isQueryNode = exports.isObjectTypeDefinitionNode = void 0;
const graphql_1 = require("graphql");
const SQL_DIRECTIVE_NAME = 'sql';
const isObjectTypeDefinitionNode = (obj) => {
    return obj.kind === graphql_1.Kind.OBJECT_TYPE_DEFINITION || obj.kind === graphql_1.Kind.INTERFACE_TYPE_DEFINITION;
};
exports.isObjectTypeDefinitionNode = isObjectTypeDefinitionNode;
const isQueryNode = (obj) => {
    return (0, exports.isObjectTypeDefinitionNode)(obj) && obj.name.value === 'Query';
};
exports.isQueryNode = isQueryNode;
const isMutationNode = (obj) => {
    return (0, exports.isObjectTypeDefinitionNode)(obj) && obj.name.value === 'Mutation';
};
exports.isMutationNode = isMutationNode;
const fieldsWithSqlDirective = (obj) => {
    var _a, _b;
    return (_b = (_a = obj.fields) === null || _a === void 0 ? void 0 : _a.filter((field) => { var _a; return (_a = field.directives) === null || _a === void 0 ? void 0 : _a.some((directive) => directive.name.value === SQL_DIRECTIVE_NAME); })) !== null && _b !== void 0 ? _b : [];
};
exports.fieldsWithSqlDirective = fieldsWithSqlDirective;
//# sourceMappingURL=graphql-utils.js.map